$(function () {

    if($(".paymentListTbodyBack").length) {
        $(".paymentListTbody:first").remove();
    }

    // 排序-付款条件
    function sortReceiptInfo(){
        $(".paymentListTbody").each(function(i,ele){
            $(ele).find('td:first span').text(i+1);
        });
        if( $(".paymentListTbody").length <= 1 ){
            $('.paymentTable .negativeInformationReduce').hide();
        }else{
            $('.paymentTable .negativeInformationReduce').show();
        };
    };
    sortReceiptInfo();

    // 添加行-付款条件
    $("#businessAddForm").on('click','.paymentTable .negativeInformationPlus',function(){
        var supplierTrClone = $(".paymentListTbody:first").clone();
        supplierTrClone.find('.negativeInformationReduce').show();
        supplierTrClone.find('.error').hide();
        supplierTrClone.find('input').val('');
        $(this).parents('.paymentListTbody').after(supplierTrClone);
        sortReceiptInfo();
    });

    // 删除行
    $("#businessAddForm").on('click','.paymentTable .negativeInformationReduce',function(){
        $(this).parents('.paymentListTbody').remove();
        sortReceiptInfo();
    });

    //保存
    function submitFunction(e){
        var postdata = new FormData();
        // if($(".paymentListTbodyBack").length) {
        //     postdata.append('id',$("[name=basicId]").val());
        // }
        postdata.append('businessName',$("[name=businessName]").val());
        postdata.append('supplierId',$("[name=basicId]").val());
        for(var i=0;i<$(".paymentListTbody").length;i++) {
            postdata.append('banks['+i+'].bankName',$(".paymentListTbody").eq(i).find('.bankBelong').val());
            postdata.append('banks['+i+'].accountName',$(".paymentListTbody").eq(i).find('.accountName').val());
            postdata.append('banks['+i+'].accountNumber',$(".paymentListTbody").eq(i).find('.account').val());
            postdata.append('banks['+i+'].id',$(".paymentListTbody").eq(i).find('.banksId').val() ? $(".paymentListTbody").eq(i).find('.banksId').val() : '');
        }
        i=null;

        var url = '/customer/modifyBankDetail',tip='提交';

        $.ajax({
            url:url,
            type:'post',
            data:postdata,
            processData:false,
            contentType:false,
            success:function(data){
                if( data.success ){
                    new $.zui.Messager( tip+'成功', {
                        type: 'success'
                    }).show();
                    $(".yk_rightcontent").load('/customer/listPage');
                    return false;
                }else{
                    new $.zui.Messager(tip+'失败:'+data.msg, {
                        type: 'danger'
                    }).show();
                }
            },
            error:function(status){
                new $.zui.Messager(tip+'时发生错误:'+status, {
                    type: 'danger'
                }).show();
            }
        });
        return false;
    };

    var formRules = {
        'bankBelong':{
            required:true,
            maxlength:50
        },
        'accountName':{
            required:true,
            maxlength:50
        },
        'account':{
            required:true,
            maxlength:50,
            number:true
        }
    };

    var formMessages = {
        'bankBelong':{
            required:'请输入所属银行',
            maxlength:'最多输入50个字符'
        },
        'accountName':{
            required:'请输入账户名称',
            maxlength:'最多输入50个字符'
        },
        'account':{
            required:'请输入账号',
            maxlength:'最多输入50个字符'
        }
    };

    //验证供应商列表
    function suplierValid() {
        $('.paymentListTbody').each(function (i,ele) {
            if($(ele).find('.bankBelong').val() !== '') {
                $(ele).find('.error').removeClass('shows').hide()
            }else {
                $(ele).find('.error').addClass('shows').show()
            }
            if($(ele).find('.accountName').val() !== '') {
                $(ele).find('.error').removeClass('shows').hide()
            }else {
                $(ele).find('.error').addClass('shows').show()
            }
            if($(ele).find('.account').val() !== '') {
                $(ele).find('.error').removeClass('shows').hide()
            }else {
                $(ele).find('.error').addClass('shows').show()
            }
        })
    }

    //表单验证
    function addNewCustomer(e){
        suplierValid()

        $("#businessAddForm").validate({
            promptPosition : "bottomLeft",
            submitHandler : function(form) {

                if( $('.error.shows').length>0 ){
                    $('.error.shows:first').prev().focus();
                    return;
                };
                submitFunction(e);
            },
            rules:formRules,
            messages : formMessages
        });
    };
    //提交按钮
    $(".yk_addNewMsg .submitBusiness").click(addNewCustomer);

    //关闭按钮
    $(".yk_addNewMsg .btn-cancel, .newBackBtn").click(function(){
        $(".yk_rightcontent").load('/customer/listPage');
        return false;
    });


})
